using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SRMediaTypeGuiPrototype
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            libraryList.Items.Add("Pink Floyd");
            libraryList.Items.Add("My mp3s");
            libraryList.Items.Add("Simpsons Holiday Cheer songs");
            libraryList.Items.Add("Beatles");
            libraryList.SetSelected(3, true);

            filesListCheckedBox.Items.Add("I Am the Walrus");
            filesListCheckedBox.Items.Add("Day Tripper");
            filesListCheckedBox.Items.Add("Lucy In The Sky With Diamonds");
            filesListCheckedBox.Items.Add("Can't Buy Me Love");
            
        }

        private void listSplitContainer_SplitterMoved(object sender, SplitterEventArgs e)
        {
            int splitterDistance = listSplitContainer.SplitterDistance;
            int splitterWidth = listSplitContainer.SplitterWidth + 4;
            int controlWidth = listSplitContainer.Width;
            libraryList.Width = splitterDistance ;
            filesListCheckedBox.Width = controlWidth - splitterDistance - splitterWidth;
            libraryLabel.Width = libraryList.Width;
            playlistLabel.Width = filesListCheckedBox.Width;
            addLibrary.Width = libraryList.Width;
            removeLibrary.Width = libraryList.Width;
            addFile.Width = filesListCheckedBox.Width;
            removeFileBtn.Width = filesListCheckedBox.Width;
        }

        private void addLibrary_Click(object sender, EventArgs e)
        {
            folderBrowserDialog1.ShowDialog();
        }

        private void removeLibrary_Click(object sender, EventArgs e)
        {
            MessageBox.Show("removing selected library:" + libraryList.SelectedItem.ToString());
        }

        private void addFile_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
        }

        private void removeFileBtn_Click(object sender, EventArgs e)
        {
            MessageBox.Show("removing selected files");
        }

        private void infoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("some copyright information");
        }

        private void contentsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("a browser filled with useful help documents");
        }
    }
}